package cn.com.pc.penguin.service;

import org.apache.lucene.document.Document;

import java.util.Collection;

/**
 * Created by IntelliJ IDEA.
 * User: huangqinghe
 * To change this template use File | Settings | File Templates.
 */
public interface DocumentBuilder {
    /**
	 * Search Type
	 * @return
	 */
	public SearchType getSearchType();
	public Collection<Document> getDocs() throws Exception;
	public Collection<String> getKeys() throws Exception;
}
